
Application: gvSIG desktop - gvSIG bugs #5475
Error reproyectando webmap bing a epsg:32737
10/20/2020 01:30 PM - Francisco Puga

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: CRS
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3042 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Tengo una vista en EPSG:32737. Selecciono la capa "Aerial" de Bing. Hay un mensaje de "The projection of the view is not
appropiate ..." pero el botón de "Ok" está activo.

Al darle a "Ok" sale un mensaje en el log

Exception in thread "AddLayerToView" org.cresques.cts.CoordTransRuntimeException: Error reprojecting point
(-2.0037508E7,-2.0037508E7) from EPSG:3857 to EPSG:32737.
    at org.gvsig.crs.COperation.operate(COperation.java:208)
    at org.gvsig.crs.COperation.convert(COperation.java:253)
    at org.gvsig.bingmaps.app.mainplugin.FLyrBingMaps.getFullEnvelope(FLyrBingMaps.java:408)
    at
org.gvsig.app.project.documents.view.DefaultViewDocument$SetViewPortExtentWhenAddLayerListener$1.run(DefaultViewDocument.java:93)
    at java.lang.Thread.run(Thread.java:745)

cument.java:93)
    at java.lang.Thread.run(Thread.java:745)

Si la vista está en 3857 funciona correctamente.

History
#1 - 10/20/2020 01:31 PM - Francisco Puga

Petición relacionada: #4279

#2 - 10/20/2020 10:18 PM - Álvaro Anguix

Sí, en la rama actual no reproyecta servicios de mapas. Esa funcionalidad debe estar operativa para la rama 3.x, con la nueva arquitectura ráster...
aunque no sé en qué momento haremos el cambio.

#3 - 10/21/2020 11:04 AM - Francisco Puga

Gracias por la aclaración. De #4279 entendí que ya era posible.
Para simplemente desactivar el botón con cambios mínimos se podrían tocar DefaultBingMapsParametersPanelController.areSettingsValid y
DefaultGoogleMapsParametersPanelController.areSettingsValid y añadir:

if (this.showCrsWarning) {
    return false;
}

Aunque podría tener sentido:

    -  Hacer el mensaje más "asertivo". "The projection of the view must be in EPSG:3867 to load layers from this service." en lugar del actual: "The
projection of the view is not appropriate to load layers of this service." 
    -  E incluso no mostrar ningún widget y poner sólo el mensaje.

#4 - 10/21/2020 11:05 AM - Francisco Puga

Perdón, typo en el mensaje: "The projection of the view must be in EPSG:3857 to load layers from this service."

#5 - 05/19/2021 05:04 PM - Álvaro Anguix
- Category set to CRS

#6 - 08/03/2023 02:07 PM - Álvaro Anguix

Al no mantenerse este plugin, mi opinión es que debería quitarse en próximas distros.

#7 - 10/18/2023 12:38 PM - Álvaro Anguix
- Status changed from New to Outdated

Webmaps se ha quitado de la distro
